      SUBROUTINE GSSEG_SPEED(X0,Y0,X1,Y1)
      INCLUDE 'Parametres.f'
C
      ix0 = nint(origine_x + facteur_en_x*X0)
      iy0 = nint(origine_y + facteur_en_y*Y0)
      ix1 = nint(origine_x + facteur_en_x*X1)
      iy1 = nint(origine_y + facteur_en_y*Y1)
      call x11linsrn(ix0,iy0,ix1,iy1)
      END 
